"""repairwin URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.9/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""

from django.conf.urls import url, include
from django.conf.urls.static import static
from django.conf import settings

from apps.dashboard.views import index

urlpatterns = [
    url(r'^$', index),
    url(r'^account/', include('apps.account.urls')),
    url(r'^foundation/', include('apps.foundation.urls')),
    url(r'^customer/', include('apps.customer.urls')),
    url(r'^warehouse/', include('apps.warehouse.urls')),
    url(r'^supplier/', include('apps.supplier.urls')),
    url(r'^goods/', include('apps.goods.urls')),
    url(r'^plan/', include('apps.plan.urls')),
    url(r'^material/', include('apps.material.urls')),
    url(r'^plan/', include('apps.plan.urls')),
    url(r'^order/', include('apps.order.urls')),
    url(r'^purchase/', include('apps.purchase.urls')),
    url(r'^statistics/', include('apps.statistics.urls')),
    url(r'^touch/', include('apps.touch.urls')),
    url(r'^office/', include('apps.office.urls')),
    url(r'^config/', include('apps.config.urls')),
    url(r'^finance/', include('apps.finance.urls')),
]

urlpatterns += static(settings.TMP_URL, document_root=settings.TMP_ROOT)
urlpatterns += static(settings.UIS_URL, document_root=settings.UIS_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)